debian: We require libdbi-sqlite3 for running the tests

The tests are not broken but the db test fails when the dbi driver
is not installed. Make it a build time depedency.
changes/88/3188/1
Holger Hans Peter Freyther 10 years ago
parent f3a317ceed
commit e0b5972d30
  1. 2
      debian/control
  2. 2
      debian/rules

2
debian/control vendored

@ -2,7 +2,7 @@ Source: openbsc
Section: net
Priority: optional
Maintainer: Harald Welte <laforge@gnumonks.org>
Build-Depends: debhelper (>= 7.0.0~), autotools-dev, pkg-config, libgtp-dev, libosmocore-dev, libosmo-sccp-dev, libdbi-dev, dh-autoreconf, libosmo-abis-dev
Build-Depends: debhelper (>= 7.0.0~), autotools-dev, pkg-config, libgtp-dev, libosmocore-dev, libosmo-sccp-dev, libdbi-dev, dh-autoreconf, libosmo-abis-dev, libdbd-sqlite3
Standards-Version: 3.8.4
Homepage: http://openbsc.osmocom.org/
Vcs-Git: git://bs11-abis.gnumonks.org/openbsc.git

2
debian/rules vendored

@ -24,5 +24,3 @@ override_dh_auto_configure:
echo $(VERSION) > openbsc/.tarball-version
dh_auto_configure --sourcedirectory=openbsc -- --enable-nat --enable-osmo-bsc
override_dh_auto_test:
# tests are broken...

Loading…
Cancel
Save